package com.rrtx.services.common.utils;

import cn.hutool.core.util.StrUtil;
import com.rrtx.fap.starter.translate.convert.DictType;
import com.rrtx.fap.starter.translate.util.ConvertUtil;
import com.rrtx.services.common.constant.Constant;
import com.rrtx.services.common.constant.ContextParam;

/**
* ClassName: <br>
* Description:  <br>
* Company: rrtx
* @author Jie Zhang
* @version  v1.0.0    2019/12/17 下午11:25  Jie Zhang     文件初始创建
*
*/
public class TranslateUtil {

    /**
     * 多语言翻译
     * @param key 要翻译的key
     * @return
     */
    public static String val(String key) {
        if("ZH_CN".equals(ContextParam.PRO_LANGUAGE.get())) {
            return key;
        }
        if(CommonUtil.isNotEmpty(ValTranslateMap.getTrMap().get(key))) {
            return ValTranslateMap.getTrMap().get(key);
        }
        return key;
    }
    /***
    * 方法描述：
    *
    * @param  code 系统参数对应的字典表code
    * @return
    * @throws
    */
    public static String val4Sys(String code){
        return ConvertUtil.val(Constant.NAMESPACE, DictType.SYS, ContextParam.LANGUAGE.get(), code);
    }

    /***
     * 方法描述：
     *
     * @param  code 错误码对应的字典表code
     * @return
     * @throws
     */
    public static String val4Err(String code){
        String message = ConvertUtil.val(Constant.NAMESPACE, DictType.ERR, ContextParam.LANGUAGE.get(), code);

        return StrUtil.isEmpty(message) ? Constant.DEFAULT_ERROR_MSG : message;
    }
}
